Merge "xci: Reconfigure xci-daily-virtual jobs"
authorFatih Degirmenci <fdegir@gmail.com>
Fri, 24 Aug 2018 06:33:37 +0000 (06:33 +0000)
committerGerrit Code Review <gerrit@opnfv.org>
Fri, 24 Aug 2018 06:33:38 +0000 (06:33 +0000)
jjb/compass4nfv/compass-ci-jobs.yaml
jjb/container4nfv/arm64/compass-build.sh
jjb/container4nfv/arm64/compass-deploy.sh
jjb/container4nfv/arm64/deploy-cni.sh [new file with mode: 0755]
jjb/container4nfv/container4nfv-arm64.yaml
jjb/fuel/fuel-docker-jobs.yaml [new file with mode: 0644]

index f9d222a..3a263d4 100644 (file)
       - 'k8-nosdn-stor4nfv-noha':
           disabled: false
           auto-trigger-name: 'compass-{scenario}-{pod}-{stream}-trigger'
+      - 'os-nosdn-stor4nfv-ha':
+          disabled: false
+          auto-trigger-name: 'compass-{scenario}-{pod}-{stream}-trigger'
 
     jobs:
       - 'compass-{scenario}-{pod}-daily-{stream}'
     name: 'compass-k8-nosdn-stor4nfv-ha-baremetal-centos-master-trigger'
     triggers:
       - timed: ''
+- trigger:
+    name: 'compass-os-nosdn-stor4nfv-ha-baremetal-centos-master-trigger'
+    triggers:
+      - timed: ''
 
 # ----------------------------
 # noha-baremetal-centos-master
     name: 'compass-k8-nosdn-stor4nfv-ha-huawei-pod7-danube-trigger'
     triggers:
       - timed: ''
+- trigger:
+    name: 'compass-os-nosdn-stor4nfv-ha-huawei-pod7-danube-trigger'
+    triggers:
+      - timed: ''
 
 # ----------------------------
 # noha-huawei-pod7-danube
     name: 'compass-k8-nosdn-stor4nfv-ha-baremetal-master-trigger'
     triggers:
       - timed: '0 16 1-29/2 * *'
+- trigger:
+    name: 'compass-os-nosdn-stor4nfv-ha-baremetal-master-trigger'
+    triggers:
+      - timed: '0 20 1-29/2 * *'
 
 # ---------------------
 # noha-baremetal-master
     name: 'compass-k8-nosdn-stor4nfv-ha-baremetal-fraser-trigger'
     triggers:
       - timed: '0 7 2-30/2 * *'
+- trigger:
+    name: 'compass-os-nosdn-stor4nfv-ha-baremetal-fraser-trigger'
+    triggers:
+      - timed: ''
 
 # ---------------------
 # noha-baremetal-fraser
     name: 'compass-k8-nosdn-stor4nfv-ha-virtual-master-trigger'
     triggers:
       - timed: '0 15 2-30/2 * *'
+- trigger:
+    name: 'compass-os-nosdn-stor4nfv-ha-virtual-master-trigger'
+    triggers:
+      - timed: '0 19 2-30/2 * *'
 
 # -------------------
 # noha-virtual-master
     name: 'compass-k8-nosdn-stor4nfv-ha-virtual-fraser-trigger'
     triggers:
       - timed: '0 15 1-29/2 * *'
+- trigger:
+    name: 'compass-os-nosdn-stor4nfv-ha-virtual-fraser-trigger'
+    triggers:
+      - timed: ''
 
 # -------------------
 # noha-virtual-fraser
index 696f7ff..326e624 100755 (executable)
@@ -7,8 +7,8 @@ COMPASS_WORK_DIR=$WORKSPACE/../compass-work
 mkdir -p $COMPASS_WORK_DIR
 ln -s $COMPASS_WORK_DIR work
 
-#TODO: remove workaround after all arm64 patches merged
-curl -s http://people.linaro.org/~yibo.cai/compass/compass4nfv-arm64-fixup.sh | bash -s {scenario}
+sudo docker rm -f `docker ps | grep compass | cut -f1 -d' '` || true
 
-# build tarball
-COMPASS_ISO_REPO='http://people.linaro.org/~yibo.cai/compass' ./build.sh
+curl -s http://people.linaro.org/~yibo.cai/compass/compass4nfv-arm64-fixup.sh | bash -s {scenario} || true
+
+./build.sh
index a22af09..7889c3b 100755 (executable)
@@ -5,11 +5,11 @@ cd compass4nfv
 
 export ADAPTER_OS_PATTERN='(?i)CentOS-7.*arm.*'
 export OS_VERSION="centos7"
-export KUBERNETES_VERSION="v1.7.5"
+export KUBERNETES_VERSION="v1.9.1"
 if [[ "$NODE_NAME" =~ "-virtual" ]]; then
     export DHA="deploy/conf/vm_environment/k8-nosdn-nofeature-noha.yml"
     export NETWORK="deploy/conf/vm_environment/network.yml"
-    export VIRT_NUMBER=2 VIRT_CPUS=4 VIRT_MEM=8192 VIRT_DISK=50G
+    export VIRT_NUMBER=2 VIRT_CPUS=8 VIRT_MEM=8192 VIRT_DISK=50G
 else
     export DHA="deploy/conf/hardware_environment/huawei-pod8/k8-nosdn-nofeature-noha.yml"
     export NETWORK="deploy/conf/hardware_environment/huawei-pod8/network.yml"
diff --git a/jjb/container4nfv/arm64/deploy-cni.sh b/jjb/container4nfv/arm64/deploy-cni.sh
new file mode 100755 (executable)
index 0000000..9afb980
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/bash -e
+
+cd container4nfv/src/arm/cni-deploy
+
+DEPLOY_SCENARIO={scenario}
+
+virtualenv .venv
+source .venv/bin/activate
+pip install ansible==2.6.1
+
+ansible-playbook -i inventory/inventory.cfg deploy.yml --tags flannel,multus
+
+if [ "$DEPLOY_SCENARIO" == "k8-sriov-nofeature-noha" ]; then
+    ansible-playbook -i inventory/inventory.cfg deploy.yml --tags sriov
+elif [ "$DEPLOY_SCENARIO" == "k8-vpp-nofeature-noha" ]; then
+    ansible-playbook -i inventory/inventory.cfg deploy.yml --tags vhost-vpp
+fi
index 5f5bc86..5e763ae 100644 (file)
           disabled: false
       - 'k8-sriov-nofeature-noha':
           disabled: false
+      - 'k8-vpp-nofeature-noha':
+          disabled: false
     pod:
       - virtual:
           slave-label: arm-packet01
       - baremetal:
           slave-label: compass-baremetal-arm
     jobs:
+      - 'container4nfv-arm-deploy-{pod}-daily-{stream}'
       - 'container4nfv-{scenario}-{pod}-daily-{stream}'
 
 
 - job-template:
-    name: 'container4nfv-{scenario}-{pod}-daily-{stream}'
-    disabled: '{obj:disabled}'
-    concurrent: false
+    name: 'container4nfv-arm-deploy-{pod}-daily-{stream}'
+    disabled: false
     node: '{slave-label}'
 
+    wrappers:
+      - timeout:
+          timeout: 210
+          fail: true
+
     scm:
       - git:
           url: https://gerrit.opnfv.org/gerrit/compass4nfv
           wipe-workspace: true
 
     triggers:
-      - 'trigger-{scenario}-{pod}-{stream}'
-
-    wrappers:
-      - timeout:
-          timeout: 150
-          fail: true
+      - 'trigger-deploy-{pod}-{stream}'
 
     builders:
       - shell:
           - project: yardstick-arm64-compass-arm-virtual03-daily-master
             current-parameters: false
             same-node: true
-            block: false
+            block: true
+            block-thresholds:
+              build-step-failure-threshold: 'never'
+              failure-threshold: 'never'
+              unstable-threshold: 'Failure'
+          - project: container4nfv-k8-multus-nofeature-noha-{pod}-daily-{stream}
+            current-parameters: true
+            same-node: true
+            block: true
+            block-thresholds:
+              build-step-failure-threshold: 'never'
+              failure-threshold: 'never'
+              unstable-threshold: 'Failure'
+          - project: container4nfv-k8-sriov-nofeature-noha-{pod}-daily-{stream}
+            current-parameters: true
+            same-node: true
+            block: true
+            block-thresholds:
+              build-step-failure-threshold: 'never'
+              failure-threshold: 'never'
+              unstable-threshold: 'Failure'
+          - project: container4nfv-k8-vpp-nofeature-noha-{pod}-daily-{stream}
+            current-parameters: true
+            same-node: true
+            block: true
+            block-thresholds:
+              build-step-failure-threshold: 'never'
+              failure-threshold: 'never'
+              unstable-threshold: 'never'
 
 
-- trigger:
-    name: 'trigger-k8-multus-nofeature-noha-virtual-master'
-    triggers:
-      - timed: '0 12 * * *'
-- trigger:
-    name: 'trigger-k8-sriov-nofeature-noha-virtual-master'
-    triggers:
-      - timed: '0 15 * * *'
+- job-template:
+    name: 'container4nfv-{scenario}-{pod}-daily-{stream}'
+    disabled: '{obj:disabled}'
 
-- trigger:
-    name: 'trigger-k8-multus-nofeature-noha-virtual-fraser'
-    triggers:
-      - timed: '0 18 * * *'
-- trigger:
-    name: 'trigger-k8-sriov-nofeature-noha-virtual-fraser'
-    triggers:
-      - timed: '0 21 * * *'
+    scm:
+      - git:
+          url: https://gerrit.opnfv.org/gerrit/container4nfv
+          basedir: container4nfv
+          wipe-workspace: true
+
+    builders:
+      - shell:
+          !include-raw: arm64/deploy-cni.sh
 
 
 - trigger:
-    name: 'trigger-k8-multus-nofeature-noha-baremetal-master'
+    name: 'trigger-deploy-virtual-master'
     triggers:
       - timed: '0 12 * * *'
 - trigger:
-    name: 'trigger-k8-sriov-nofeature-noha-baremetal-master'
+    name: 'trigger-deploy-virtual-fraser'
     triggers:
-      - timed: '0 15 * * *'
-
+      - timed: '0 18 * * *'
 - trigger:
-    name: 'trigger-k8-multus-nofeature-noha-baremetal-fraser'
+    name: 'trigger-deploy-baremetal-master'
     triggers:
-      - timed: '0 18 * * *'
+      - timed: '0 12 * * *'
 - trigger:
-    name: 'trigger-k8-sriov-nofeature-noha-baremetal-fraser'
+    name: 'trigger-deploy-baremetal-fraser'
     triggers:
-      - timed: '0 21 * * *'
+      - timed: '0 18 * * *'
diff --git a/jjb/fuel/fuel-docker-jobs.yaml b/jjb/fuel/fuel-docker-jobs.yaml
new file mode 100644 (file)
index 0000000..98ed66d
--- /dev/null
@@ -0,0 +1,200 @@
+---
+##############################################
+# job configuration for docker build and push
+##############################################
+- project:
+
+    name: fuel-docker
+
+    project: fuel
+
+    stream:
+      - master:
+          branch: '{stream}'
+          disabled: false
+      - gambia:
+          branch: 'stable/{stream}'
+          disabled: true
+
+    arch_tag:
+      - 'amd64':
+          slave_label: 'opnfv-build-ubuntu'
+      - 'arm64':
+          slave_label: 'opnfv-build-ubuntu-arm'
+
+    # settings for jobs run in multijob phases
+    build-job-settings: &build-job-settings
+      current-parameters: false
+      git-revision: true
+      node-parameters: false
+      predefined-parameters: |
+        PUSH_IMAGE=$PUSH_IMAGE
+        COMMIT_ID=$COMMIT_ID
+        GERRIT_REFNAME=$GERRIT_REFNAME
+      kill-phase-on: FAILURE
+      abort-all-jobs: false
+
+    manifest-job-settings: &manifest-job-settings
+      current-parameters: false
+      git-revision: true
+      node-parameters: false
+      predefined-parameters:
+        GERRIT_REFNAME=$GERRIT_REFNAME
+      kill-phase-on: FAILURE
+      abort-all-jobs: false
+
+    jobs:
+      - "fuel-docker-{stream}"
+      - "fuel-docker-build-{arch_tag}-{stream}"
+      - "fuel-docker-manifest-{stream}"
+
+########################
+# job templates
+########################
+- job-template:
+    name: 'fuel-docker-{stream}'
+
+    project-type: multijob
+
+    disabled: '{obj:disabled}'
+
+    parameters:
+      - fuel-job-parameters:
+          project: '{project}'
+          branch: '{branch}'
+          slave_label: 'opnfv-build-ubuntu'
+          arch_tag: 'amd64'
+
+    properties:
+      - throttle:
+          max-per-node: 1
+          option: 'project'
+
+    scm:
+      - git-scm
+
+    triggers:
+      - pollscm:
+          cron: "*/25 * * * *"
+      - gerrit-trigger-tag-created:
+          project: '{project}'
+
+    builders:
+      - multijob:
+          name: 'build fuel images'
+          execution-type: PARALLEL
+          projects:
+            - name: 'fuel-docker-build-amd64-{stream}'
+              <<: *build-job-settings
+            - name: 'fuel-docker-build-arm64-{stream}'
+              <<: *build-job-settings
+      - multijob:
+          name: 'publish fuel manifests'
+          condition: SUCCESSFUL
+          execution-type: PARALLEL
+          projects:
+            - name: 'fuel-docker-manifest-{stream}'
+              <<: *manifest-job-settings
+
+    publishers:
+      - email-fuel-ptl
+
+- job-template:
+    name: 'fuel-docker-build-{arch_tag}-{stream}'
+    disabled: '{obj:disabled}'
+    parameters:
+      - fuel-job-parameters:
+          project: '{project}'
+          branch: '{branch}'
+          slave_label: '{slave_label}'
+          arch_tag: '{arch_tag}'
+    scm:
+      - git-scm
+    builders:
+      - shell: |
+          #!/bin/bash -ex
+          case "{stream}" in
+          "master")
+              tag="latest" ;;
+          *)
+              tag="{stream}" ;;
+          esac
+          sudo ./ci/build.sh $tag
+
+- job-template:
+    name: 'fuel-docker-manifest-{stream}'
+
+    parameters:
+      - project-parameter:
+          project: '{project}'
+          branch: '{branch}'
+      - label:
+          name: SLAVE_LABEL
+          default: 'opnfv-build-ubuntu'
+          description: 'Slave label on Jenkins'
+      - string:
+          name: PROJECT
+          default: "{project}"
+          description: "Project name used to enable job conditions"
+      - string:
+          name: GIT_BASE
+          default: https://gerrit.opnfv.org/gerrit/$PROJECT
+          description: 'Git URL to use on this Jenkins Slave'
+      - string:
+          name: REPO
+          default: "opnfv"
+          description: "Repository name for fuel-docker images"
+
+
+    disabled: '{obj:disabled}'
+
+    builders:
+      - shell: |
+          #!/bin/bash -ex
+          case "{stream}" in
+          "master")
+              tag="latest" ;;
+          *)
+              tag="{stream}" ;;
+          esac
+          sudo manifest-tool push from-args \
+              --platforms linux/amd64,linux/arm64 \
+              --template $REPO/fuel:saltmaster-reclass-ARCH-$tag \
+              --target $REPO/fuel:saltmaster-reclass-$tag
+          exit $?
+
+# parameter macro
+- parameter:
+    name: fuel-job-parameters
+    parameters:
+      - project-parameter:
+          project: '{project}'
+          branch: '{branch}'
+      - label:
+          name: SLAVE_LABEL
+          default: '{slave_label}'
+          description: 'Slave label on Jenkins'
+      - string:
+          name: GIT_BASE
+          default: https://gerrit.opnfv.org/gerrit/$PROJECT
+          description: 'Git URL to use on this Jenkins Slave'
+      - string:
+          name: PUSH_IMAGE
+          default: "true"
+          description: "To enable/disable pushing the image to Dockerhub."
+      - string:
+          name: COMMIT_ID
+          default: ""
+          description: "commit id to make a snapshot docker image"
+      - string:
+          name: GERRIT_REFNAME
+          default: ""
+          description: "Docker tag to be built, e.g. refs/tags/5.0.0, refs/tags/opnfv-5.0.0, refs/tags/5.0.RC1"
+      - string:
+          name: PROJECT
+          default: "{project}"
+          description: "Project name used to enable job conditions"
+      - string:
+          name: REPO
+          default: "opnfv"
+          description: "Repository name for fuel-docker images"